Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.taglib.tiles.ext
Class TextTag

    java.lang.Object
      BaseFieldTag
          com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
              com.bea.struts.adapter.taglib.tiles.ext.TextTag

All Implemented Interfaces
  TagAdapter

    public class TextTag

extends BaseFieldTagAdapter

Tag adapter for the Struts tiles TextTag

This class is based on 3rd party types and is thus dependent upon announced or unannounced changes to those 3rd party types. Extensions of this class by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal or in future versions of the 3rd party types.

Field Summary
`protected String` | `prefix` The prefix to be added before the html name.

Constructor Summary
`TextTag()` Construct a new instance of this tag.

Method Summary
`int` | `doStartTag()` Generate the required input tag.
`String` | `getPrefix()`
`void` | `release()` Release all allocated resources.
`void` | `setPrefix(String prefix)`

Methods inherited from class com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
`adaptPrepareIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### prefix

    protected String prefix

  The prefix to be added before the html name.

Constructor Detail

### TextTag

    public TextTag()

  Construct a new instance of this tag.

Method Detail

### release

    public void release()

  Release all allocated resources.

### getPrefix

    public String getPrefix()

### setPrefix

    public void setPrefix(String prefix)

### doStartTag

    public int doStartTag()
                   throws JspException

  Generate the required input tag.

  Overrides:
    `doStartTag` in class `BaseFieldTagAdapter`
  Throws
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved